Ryzom - Bug # 905

Status: Closed Priority: Normal

Author: kerozcak Category: Services: General
Created: 05/15/2010 Assignee: vl

Updated: 05/28/2010 Due date:

Subject: r2_login.php can't create log file on linux

Description

in r2_login.php:

$logPath = $pathinfo['dirname'].$LogRelativePath;

there's no '/" at the end of dirname returned from pathinfo() which results with bad directory when $logRelativePath is set to "./" - e.g.
/home/nevrax/code/ryzom/tools/server/www/login./ thus r2_login.php can't create a log file

Changing it to:

$logPath = $pathinfo['dirname'].’/.$LogRelativePath;

resolves the problem

History

#1 - 05/17/2010 02:09 pm -
- Status changed from New
- Assignee set to vl

#2 - 05/17/2010 02:10 pm -

vl

to Assigned

vl

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset r178.

#3 - 05/18/2010 10:22 am -

vl

- Target version set to Version 0.8.0

#4 - 05/28/2010 05:24 pm -

vl

- Status changed from Resolved to Closed
